Which imx-linux version shall be selected for porting SPI-SLAVE MODE support on i.MX 6

cancel
Showing results for 
Search instead for 
Did you mean: 

Which imx-linux version shall be selected for porting SPI-SLAVE MODE support on i.MX 6

Jump to solution
106 Views
Contributor III

Hi Everybody, 

I  work on iMX6 and I want to run use SPI in slave mode on Linux.

I have the following patches :

https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux.git/commit/?h=v4.18.5&id=71abd29057cb17... 

I tried to apply these changes to imx-linux-rocko [linux 4.9.88] but failed terribly. It needs spi.c to be updated and so many files. 

So I wonder if I want to port SPI Slave mode on imx-linux which version shall I take as a base

Best Regards

Y.

Labels (1)
0 Kudos
1 Solution
99 Views
NXP TechSupport
NXP TechSupport
2 Replies
90 Views
Contributor III

Thank you!

0 Kudos
100 Views
NXP TechSupport
NXP TechSupport